# Clients

 - [GET /clients](https://developers.kanbert.com/api/clients/clients.index.md): **No specific scope required.**
 - [POST /clients](https://developers.kanbert.com/api/clients/clients.store.md): **Required scopes:** `client:write`
 - [GET /clients/full](https://developers.kanbert.com/api/clients/clients.fullindex.md): **Required scopes:** `client:read`
 - [GET /clients/{id}](https://developers.kanbert.com/api/clients/clients.show.md): **No specific scope required.** Returns `ClientFullData` if app has any `client:*` scope
 - [PATCH /clients/{id}](https://developers.kanbert.com/api/clients/clients.update.md): **Required scopes:** `client:write` To update `external_id` jump to [Endpoint](#operation/clients.updateExternalId) `/clients/{id}/external-identifier` To update `shortcode` jump to [Endpoint](#operat
 - [DELETE /clients/{id}](https://developers.kanbert.com/api/clients/clients.destroy.md): **Required scopes:** `client:write`
 - [PUT /clients/{id}/external-identifier](https://developers.kanbert.com/api/clients/clients.updateexternalid.md): **Required scopes:** `client:write`
 - [PUT /clients/{id}/shortcode](https://developers.kanbert.com/api/clients/clients.updateshortcode.md): **Required scopes:** `client:write`
 - [POST /clients/{id}/restore](https://developers.kanbert.com/api/clients/clients.restore.md): **Required scopes:** `client:write`
